nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   help! 9400 GT not working with 180.44 (http://www.nvnews.net/vbulletin/showthread.php?t=131440)

jt_04 04-12-09 04:57 PM

help! 9400 GT not working with 180.44
 
Hello,

I am running ubuntu 8.10 with the latest kernel 2.6.27-11-generic with a MSI Nvidia 9400 GT graphics card. When starting the X server, I get the error:

Quote:

NVIDIA: could not open the device file /dev/nvidia0 (Input/output error).
(EE) NVIDIA(0): Failed to initialize the NVIDIA graphics device PCI:3:0:0.
(EE) NVIDIA(0): Please see the COMMON PROBLEMS section in the README for
(EE) NVIDIA(0): additional information.
(EE) NVIDIA(0): Failed to initialize the NVIDIA graphics device!
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found
and I am forced to use low-graphics mode. I have been struggling with this problem for weeks. I searched the forums and found one thread talking about "noapic", and I tried adding that to my grub line, but it didn't work. I have also tried the older 173 driver and the newer 185 driver, with no luck.

here is my xorg.conf file:

Quote:

Section "Device"
Identifier "Device0"
Driver "nvidia"
VendorName "NVIDIA Corporation"
BoardName "GeForce 9400"
EndSection

Section "Monitor"
Identifier "Configured Monitor"
EndSection

Section "Screen"
Identifier "Default Screen"
Monitor "Configured Monitor"
Device "Configured Video Device"
EndSection
can someone please help???

thanks very much.

jt

ps: I would post the nvidia-bug-report.log file but it is 212 kb and the max attachment size is 139 kb. (is this some sort of cruel joke?)

kernelOfTruth 04-12-09 05:00 PM

Re: help! 9400 GT not working with 180.44
 
Quote:

ps: I would post the nvidia-bug-report.log file but it is 212 kb and the max attachment size is 139 kb. (is this some sort of cruel joke?)
just zip, rar, 7z or whatever it and attach

thanks

jt_04 04-12-09 05:06 PM

Re: help! 9400 GT not working with 180.44
 
1 Attachment(s)
good call. log file attached.

jt_04 04-12-09 05:15 PM

Re: help! 9400 GT not working with 180.44
 
one update: when i boot with the xorg.conf.failsafe file, which looks like this:

Quote:

Section "Device"
Identifier "Configured Video Device"
Driver "vesa"
EndSection

Section "Monitor"
Identifier "Configured Monitor"
EndSection

Section "Screen"
Identifier "Default Screen"
Monitor "Configured Monitor"
Device "Configured Video Device"
EndSection
I get the error:

Quote:

error setting MTRR (base = 0xfb000000, size = 0x00e00000, type = 1) Invalid argument (22)
(EE) Failed to initialize GLX extension (Compatible NVIDIA X driver not found)
5832 5616
Still forcing me to start in low-graphics mode.

AaronP 04-12-09 08:14 PM

Re: help! 9400 GT not working with 180.44
 
Here's your error:
Code:

[  705.883100] allocation failed: out of vmalloc space - use vmalloc=<size> to increase size.
Please see the section about this particular error in the README.

jt_04 04-13-09 07:15 PM

Re: help! 9400 GT not working with 180.44
 
Aaron,

Thank you very much. With that clue, I dug into the README and realized that the real problem was that I installed 32-bit Ubuntu on a 64-bit machine, causing the memory allocation problems. I have reinstalled with the 64-bit version and the 180.44 drivers are working great.

best, fastest tech support I have ever received! you guys are great.

jt :)

artem 04-14-09 08:09 AM

Re: help! 9400 GT not working with 180.44
 
Quote:

Originally Posted by jt_04 (Post 1982361)
With that clue, I dug into the README and realized that the real problem was that I installed 32-bit Ubuntu on a 64-bit machine

I'm sorry but you are talking bull****. All 64bit x86 CPUs can perfectly run 32bit Linux distro's (and any other 32bit or even 16bit OS like Win 3.1(1) or MS-DOS).

jt_04 04-14-09 11:43 AM

Re: help! 9400 GT not working with 180.44
 
well thanks for the polite reply. all i know is that when i followed the readme, and switched from 32-bit linux to 64-bit on my 64-bit machine, it fixed the problem:

Quote:

If your system is equipped with an X86-64 (AMD64/EM64T) processor, it is recommended that you switch to a 64-bit Linux kernel/distribution. Due to the significantly larger address space provided by the X86-64 processors' addressing capabilities, X86-64 kernels will not run out of kernel virtual address space in the foreseeable future.

artem 04-15-09 03:00 PM

Re: help! 9400 GT not working with 180.44
 
Do you have more than 64GB of RAM (it's exactly the RAM size 32bit Linux can address)? :) Does any of your applications need more than 2GB of RAM at once? :) Are you ready to deal with all the problems of running 32bit applications on 64bit distro? Trust me - those are real problems. :)

Most adept specialists indeed suggest running 64 bit kernel with 32bit userspace :)

Dragorep 05-11-09 06:32 AM

Re: help! 9400 GT not working with 180.44
 
The problem may be that the system has over 3G RAM. The 32 bit OS could not handle this, which is why running a 64 bit system overcame the problem, with better management of larger RAM blocks.

This could have also been tested by reducing the RAM down to 2G, as was documented in http://www.nvnews.net/vbulletin/show...highlight=9400

Reference:
https://bugs.launchpad.net/ubuntu/+s...80/+bug/342926

There may also be issues in 180.51 that remain unresolved to do with this. The 9400 GT seems to have only been added in the last two releases.


All times are GMT -5. The time now is 12:36 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.